org.apache.activemq.artemis.api.core.client

## Interface ClientSession.QueueQuery

- Enclosing interface:
    ClientSession

      public static interface ClientSession.QueueQuery

  Information returned by a queue query
  See Also:
    `ClientSession.queueQuery(SimpleString)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleString` | `getAddress()` Returns the address that the queue is bound to.
    `Long` | `getAutoDeleteDelay()`
    `Long` | `getAutoDeleteMessageCount()`
    `int` | `getConsumerCount()` Returns the number of consumers attached to the queue.
    `Integer` | `getConsumersBeforeDispatch()`
    `Integer` | `getDefaultConsumerWindowSize()`
    `Long` | `getDelayBeforeDispatch()`
    `SimpleString` | `getFilterString()` Returns the queue's filter string (or `null` if the queue has no filter).
    `Integer` | `getGroupBuckets()`
    `SimpleString` | `getGroupFirstKey()`
    `SimpleString` | `getLastValueKey()`
    `int` | `getMaxConsumers()`
    `long` | `getMessageCount()` Returns the number of messages in the queue.
    `SimpleString` | `getName()` Return the name of the queue
    `Long` | `getRingSize()`
    `RoutingType` | `getRoutingType()`
    `boolean` | `isAutoCreated()`
    `boolean` | `isAutoCreateQueues()` Returns `true` if auto-creation for this queue is enabled and if the queue queried is a JMS queue, `false` else.
    `Boolean` | `isAutoDelete()`
    `Boolean` | `isConfigurationManaged()`
    `boolean` | `isDurable()` Returns `true` if the queue is durable, `false` else.
    `Boolean` | `isEnabled()`
    `Boolean` | `isExclusive()`
    `boolean` | `isExists()` Returns `true` if the queue exists, `false` else.
    `Boolean` | `isGroupRebalance()`
    `Boolean` | `isGroupRebalancePauseDispatch()`
    `Boolean` | `isLastValue()`
    `Boolean` | `isNonDestructive()`
    `boolean` | `isPurgeOnNoConsumers()`
    `boolean` | `isTemporary()` Return `true` if the queue is temporary, `false` else.

- - ### Method Detail

    - #### isExists

          boolean isExists()

      Returns `true` if the queue exists, `false` else.

    - #### isTemporary

          boolean isTemporary()

      Return `true` if the queue is temporary, `false` else.

    - #### isDurable

          boolean isDurable()

      Returns `true` if the queue is durable, `false` else.

    - #### isAutoCreateQueues

          boolean isAutoCreateQueues()

      Returns `true` if auto-creation for this queue is enabled and if the queue queried is a JMS queue, `false` else.

    - #### getConsumerCount

          int getConsumerCount()

      Returns the number of consumers attached to the queue.

    - #### getMessageCount

          long getMessageCount()

      Returns the number of messages in the queue.

    - #### getFilterString

          SimpleString getFilterString()

      Returns the queue's filter string (or `null` if the queue has no filter).

    - #### getAddress

          SimpleString getAddress()

      Returns the address that the queue is bound to.

    - #### getName

          SimpleString getName()

      Return the name of the queue
      Returns:

    - #### getRoutingType

          RoutingType getRoutingType()

    - #### getMaxConsumers

          int getMaxConsumers()

    - #### isPurgeOnNoConsumers

          boolean isPurgeOnNoConsumers()

    - #### isAutoCreated

          boolean isAutoCreated()

    - #### isExclusive

          Boolean isExclusive()

    - #### isLastValue

          Boolean isLastValue()

    - #### getLastValueKey

          SimpleString getLastValueKey()

    - #### isNonDestructive

          Boolean isNonDestructive()

    - #### getConsumersBeforeDispatch

          Integer getConsumersBeforeDispatch()

    - #### getDelayBeforeDispatch

          Long getDelayBeforeDispatch()

    - #### getDefaultConsumerWindowSize

          Integer getDefaultConsumerWindowSize()

    - #### isGroupRebalance

          Boolean isGroupRebalance()

    - #### isGroupRebalancePauseDispatch

          Boolean isGroupRebalancePauseDispatch()

    - #### getGroupBuckets

          Integer getGroupBuckets()

    - #### getGroupFirstKey

          SimpleString getGroupFirstKey()

    - #### isAutoDelete

          Boolean isAutoDelete()

    - #### getAutoDeleteDelay

          Long getAutoDeleteDelay()

    - #### getAutoDeleteMessageCount

          Long getAutoDeleteMessageCount()

    - #### getRingSize

          Long getRingSize()

    - #### isEnabled

          Boolean isEnabled()

    - #### isConfigurationManaged

          Boolean isConfigurationManaged()

Copyright © 2021 The Apache Software Foundation. All rights reserved.